
package cz.moneta.test.dsl.cebia.iva;

import jakarta.xml.bind.annotation.XmlAccessType;
import jakarta.xml.bind.annotation.XmlAccessorType;
import jakarta.xml.bind.annotation.XmlElement;
import jakarta.xml.bind.annotation.XmlType;


/**
 * <p>Java class for WSRCIIDimensions complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="WSRCIIDimensions"&gt;
 *   &lt;complexContent&gt;
 *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="No12" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No13" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No14" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="M" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No15" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *         &lt;element name="No16" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *     &lt;/restriction&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "WSRCIIDimensions", propOrder = {
    "no12",
    "no13",
    "no14",
    "m",
    "no15",
    "no16"
})
public class WSRCIIDimensions {

    @XmlElement(name = "No12", nillable = true)
    protected String no12;
    @XmlElement(name = "No13", nillable = true)
    protected String no13;
    @XmlElement(name = "No14", nillable = true)
    protected String no14;
    @XmlElement(name = "M", nillable = true)
    protected String m;
    @XmlElement(name = "No15", nillable = true)
    protected String no15;
    @XmlElement(name = "No16", nillable = true)
    protected String no16;

    /**
     * Gets the value of the no12 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo12() {
        return no12;
    }

    /**
     * Sets the value of the no12 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo12(String value) {
        this.no12 = value;
    }

    /**
     * Gets the value of the no13 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo13() {
        return no13;
    }

    /**
     * Sets the value of the no13 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo13(String value) {
        this.no13 = value;
    }

    /**
     * Gets the value of the no14 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo14() {
        return no14;
    }

    /**
     * Sets the value of the no14 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo14(String value) {
        this.no14 = value;
    }

    /**
     * Gets the value of the m property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getM() {
        return m;
    }

    /**
     * Sets the value of the m property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setM(String value) {
        this.m = value;
    }

    /**
     * Gets the value of the no15 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo15() {
        return no15;
    }

    /**
     * Sets the value of the no15 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo15(String value) {
        this.no15 = value;
    }

    /**
     * Gets the value of the no16 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getNo16() {
        return no16;
    }

    /**
     * Sets the value of the no16 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setNo16(String value) {
        this.no16 = value;
    }

    public WSRCIIDimensions withNo12(String value) {
        setNo12(value);
        return this;
    }

    public WSRCIIDimensions withNo13(String value) {
        setNo13(value);
        return this;
    }

    public WSRCIIDimensions withNo14(String value) {
        setNo14(value);
        return this;
    }

    public WSRCIIDimensions withM(String value) {
        setM(value);
        return this;
    }

    public WSRCIIDimensions withNo15(String value) {
        setNo15(value);
        return this;
    }

    public WSRCIIDimensions withNo16(String value) {
        setNo16(value);
        return this;
    }

}
